﻿$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$PackageArgs = @{
  PackageName   = $PackageName
  UnzipLocation = $InstallDir
  FileType      = 'exe'
  Url           = "https://github.com/chylex/TweetDuck/releases/download/1.8.7/TweetDuck.exe"

  SoftwareName  = 'tweetduck*'

  Checksum      = "93d34cd475e4e6396d0aa742603a6bb6dc273fded6dcf420821c1a28a39e71117ed511eca242dc949ee6fbca5e07407532880ebcc2154fa302802a78c1fe2520"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Write-Host "$PackageName registered as $App"